/************************************************************

************************************************************/

#ifndef __AS6212_H__
#define __AS6212_H__
#include "stdio.h"
#include "stdint.h"
#include "stdbool.h"
//#include "error_codes.h"
enum as6212_register
{

  //Internal Register Addresses
  TVAL      =       0x0,    //Temperature Register
  CONFIG    =       0x1,    //Configuration Register
  TLOW      =       0x2,    //Low Temperature Threshold
  THIGH     =       0x3,    //High Temperature Threshold
  
  //Helpful preset definitions for configuration register
  DEFAULTM  =       0x40A0,   //Default state
  SLEEPMODE =       0x41A0,   //Sleep Mode
  SLEEPSS   =       0xC1A0,   //Sleep Mode Single Shot

  /* Register values (MSB -> LSB) */
  SINGLESHOT	=	0x8000,	//15
  CFAULT_1		=	0x0800,	//12
  CFAULT_0		=	0x0400,	//11
  POLARITY		=	0x0200,	//10
  INTERRUPT		=	0x0100,	//9
  SLEEP			=	0x0080,	//8
  CONVER_RATE_1 =	0x0040,	//7
  CONVER_RATE_0 =	0x0020,	//6
  ALERT			=	0x0010,	//5
};

//float as6212_read_tempc(uint8_t sensorId);
//float as6212_read_tempf(uint8_t sensorId;
//float as6212_gett_low(uint8_t sensorId);
//bool as6212_sett_low(uint8_t sensorId, int16_t low_limit, uint8_t *tlow_err_flag);
//float as6212_gett_high(uint8_t sensorId);
//bool as6212_sett_high(uint8_t sensorId, int16_t high_limit);
//uint16_t as6212_read_config(uint8_t sensorId);
//void as6212_set_config(uint8_t sensorId, uint16_t target_state);


float get_last_read_temp() ;
bool __is_new_data_available_for_hts_send_loop();
void __reset_is_new_hts_data_available();

void create_as6212_monitoring_thread();
  
#endif
