
#include <device.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include <bluetooth/bluetooth.h>
#include <bluetooth/hci.h>
//#include <bluetooth/services/bas.h>
//#include <bluetooth/services/hrs.h>
#include <bluetooth/bluetooth.h>
#include <bluetooth/hci.h>
#include <bluetooth/uuid.h>
//#include <bluetooth/services/bas.h>
//#include <bluetooth/services/hrs.h>
#include "bt_common.h"
#include "bt_uuid.h"
//#include "gatt_service_ecg.h"
#include <bluetooth/uuid.h>

bool bleConnected = false;
static const struct bt_data ad[] = {
    BT_DATA_BYTES(BT_DATA_FLAGS, (BT_LE_AD_GENERAL | BT_LE_AD_NO_BREDR)),
    BT_DATA_BYTES(BT_DATA_UUID16_ALL,
        BT_UUID_16_ENCODE(BT_UUID_HTS_VAL),
        BT_UUID_16_ENCODE(BT_UUID_BAS_VAL),
        BT_UUID_16_ENCODE(BT_UUID_HRS_VAL),
        BT_UUID_16_ENCODE(BT_UUID_DIS_VAL),
        BT_UUID_16_ENCODE(0x0001),
        BT_UUID_16_ENCODE(0x0002),
        BT_UUID_16_ENCODE(0x1890))};

static void connected(struct bt_conn *conn, uint8_t err) {
  if (err)
    printk("Connection failed (err 0x%02x)\n", err);
  else
  {
    printk("Connected\n");
    bleConnected = true;
   }
}

static void disconnected(struct bt_conn *conn, uint8_t reason) {
  printk("Disconnected (reason 0x%02x)\n", reason);
   bleConnected = false;
}

static struct bt_conn_cb conn_callbacks = {
    .connected = connected,
    .disconnected = disconnected,
};

static void bt_ready(void) {
  int err;
  printk("Bluetooth initialized\n");
  err = bt_le_adv_start(BT_LE_ADV_CONN_NAME, ad, ARRAY_SIZE(ad), NULL, 0);
  if (err) {
    printk("Advertising failed to start (err %d)\n", err);
    return;
  }
  printk("Advertising successfully started\n");
}

static void auth_cancel(struct bt_conn *conn) {
  char addr[BT_ADDR_LE_STR_LEN];
  bt_addr_le_to_str(bt_conn_get_dst(conn), addr, sizeof(addr));
  printk("Pairing cancelled: %s\n", addr);
}

static struct bt_conn_auth_cb auth_cb_display = {
    .cancel = auth_cancel,
};

void bt_init() {
  int err;
  err = bt_enable(NULL);
  if (err) {
    printk("Bluetooth init failed (err %d)\n", err);
    return;
  }
  bt_ready();

  bt_conn_cb_register(&conn_callbacks);
  bt_conn_auth_cb_register(&auth_cb_display);
}

//void bt_update_ams() {
//  hrs_notify();
//}

//void bt_notify_ecg_raw(struct data_item_t *rx_data[], uint16_t ecg_dequeue_len){
//  ecg_raw_notify(rx_data, ecg_dequeue_len);
//}